<?php
/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package		JD Framework
* @subpackage	Frontend
* @contact 		contact@codextrous.com
*/
if(defined('_JEXEC')===false) die('Restricted access' );

// If file is already included
if(defined('JD_FRAMEWORK_LOADED')){
	return;
}

//mark framework loaded
define('JD_FRAMEWORK_LOADED', true);

//paths 
define('JD_PATH_FRAMEWORK', dirname(__FILE__));

// IMP : use relative path for filesystem path
define('JD_PATH_MEDIA',		'/media/plg_system_jd');
define('JD_PATH_FILEDS',	JD_PATH_FRAMEWORK.'/fields');

list($prefix, $family, $major, $minor) = _jdcms_version();

// version is current code
define('JD_CMS_VERSION', 			$major);  			// 31 for 3.1
define('JD_CMS_VERSION_MINOR', 		$minor);  			// 6  for 3.1.6
define('JD_CMS_VERSION_FAMILY', 	$family); 			// 35 for (3.0, 3.1, 3.5) or 25 for (1.6, 1.7, 2.5)
define('JD_CMS_PREFIX', 			$prefix); 			// J  for joomla
define('JD_CMS_ADAPTER', 			$prefix.$family);	// j25

define('JD_STATE_ENABLE',  1);
define('JD_STATE_DISABLE', 0);

// Define Document format, needed for views autoloading
define('JD_REQUEST_DOCUMENT_FORMAT', _jdcms_doc_req_format());
