<?php
/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package		JDFramework
* @contact 		contact@codextrous.com
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// if already loaded do not load
if(defined('JD_FRAMEWORK_LOADED')){
	return;
}

//include basic required files
jimport('joomla.utilities.string');

// load basic function to check CMS details
include_once 'function.php';

// mark to profiler
_jdcms_profiler_mark('JD-Framework-Before-Load');


//load basic defines
require_once dirname(__FILE__).'/defines.php'	;

// load the loader
require_once JD_PATH_FRAMEWORK.'/loader.php'	;
require_once dirname(__FILE__).'/helper.php'	;

// set autoload for all classes
$classes = require_once JD_PATH_FRAMEWORK.'/classes.php';
foreach ($classes as $className => $filePath) {
	JDHelperLoader::addAutoLoadFile(JD_PATH_FRAMEWORK.'/'.$filePath, $className);
}

// mark to profiler
_jdcms_profiler_mark('JD-Framework-After-Load');