<?php
/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package		JD Framework
* @subpackage	Frontend
* @contact 		contact@codextrous.com
*/
if(defined('_JEXEC')===false) die('Restricted access' );


class JDError extends JError
{
	const ERROR   = 1;
	const WARNING = 2;
	const MESSAGE = 3;

	static function assert($condition, $msg = '', $type = self::ERROR)
	{
		// assert only if in debug mode
		if($condition || !(JDEBUG)){
			return true;
		}

		//raise error
		if($type == self::ERROR){
			self::raiseError('XI-ERROR', $msg);
		}

		//raise warning
		if($type == self::WARNING){
			self::raiseWarning('XI-WARNING', $msg);
		}
		
		// enqueue message
		JDFactory::getApplication()->enqueueMessage('XI-WARNING : '.$msg);
	}

	static public function assertValue($value)
	{
		assert($value);
	}
}