<?php
/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package		JD Framework
* @subpackage	Frontend
* @contact 		contact@codextrous.com
*/
if(defined('_JEXEC')===false) die('Restricted access' );

class JDHtmlBoolean extends JDHtml
{
	static function grid( $row,$what , $i, $imgY = 'tick.png', $imgX = 'publish_x.png', $prefix='', $langPrefix='PLG_SYSTEM_JD' )
	{
		$img 	= $row->$what ? $imgY : $imgX;
		$task 	= $row->$what ? 'switchOff'.$what : 'switchOn'.$what;
		$alt 	= $row->$what ? JText::_( $langPrefix.'_SWITCH_ON_'.JString::strtoupper($what )) : JText::_( $langPrefix.'_SWITCH_OFF_'.JString::strtoupper($what));
		$action = $row->$what ? JText::_( $langPrefix.'_SWITCH_OFF_'.JString::strtoupper($what).'_ITEM' ) : JText::_( $langPrefix.'_SWITCh_ON_'.JString::strtoupper($what).'_ITEM' );

		$href = ' <a href="javascript:void(0);" onclick="return listItemTask(\'cb'. $i .'\',\''. $prefix.$task .'\')" title="'. $action .'">'.
		 		  JHtml::_('image','admin/'.$img, $alt, NULL, true);

		return $href;
	}
	
	static function filter($name, $view, Array $filters = array(), $prefix='filter_payplans', $langPrefix='PLG_SYSTEM_JD')
	{
		$elementName  = $prefix.'_'.$view.'_'.$name;
		$elementValue = @array_shift($filters[$name]);
		
		$data[] = array('value' => '', 
		  				'text'  => JText::_( $langPrefix.'_FILTERS_SELECT_'.JString::strtoupper($name).'_STATE'));
		$data[] = array('value' => 0, 
		  				'text'  => JText::_( $langPrefix.'_FILTERS_OFF_'.JString::strtoupper($name)));
		$data[] = array('value' => 1, 
		  				'text'  => JText::_( $langPrefix.'_FILTERS_ON_'.JString::strtoupper($name)));
		
		foreach($data as $d)
    		$options[] = JHTML::_('select.option', $d['value'], $d['text']);
    		
    	return JHTML::_('select.genericlist', $options, $elementName.'[]', 'onchange="document.adminForm.submit();"', 'value', 'text', $elementValue);

	}
}