<?php
/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package		JD Framework
* @subpackage	Frontend
* @contact 		contact@codextrous.com
*/
if(defined('_JEXEC')===false) die('Restricted access' );

class JDHtmlJusertype extends JDHtml
{
	static function edit($name, $value, $attr=null, $ignore=array())
	{
		$options = array();
		
		$groups 	= JDHelperJoomla::getUsertype();
		
		$textField = 'value';
		$valueField = 'name';
		
		if(isset($attr) && isset($attr['userAutocomplete']) && $attr['userAutocomplete'] == false){
			if(isset($attr['none']))
                       $options[] = JHTML::_('select.option', '', JText::_('PLG_SYSTEM_JD_SELECT_USERTYPE'));
                       
            foreach($groups as $group=>$val){
            	$options[] = JHTML::_('select.option', $val, $val);        
            }

            $style = isset($attr['style']) ? $attr['style'] : '';
            return JHTML::_('select.genericlist', $options, $name, $style, 'value', 'text', $value);
		}
		
	    return JDHtml::_('autocomplete.edit', $groups, $name, $attr, $textField, $valueField, $value);
	}
	
	static function filter($name, $view, Array $filters = array(), $prefix='')
	{
		$elementName  = $prefix.'_'.$view.'_'.$name;
		$elementValue = @array_shift($filters[$name]);
		
		$attr['none'] = true;
		$attr['userAutocomplete'] = false;
		$attr['style']= 'onchange="document.adminForm.submit();"';
		return JDHtml::_('jdhtml.jusertype.edit', $elementName.'[]', $elementValue, $attr);
	}
}