<?php
/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package		JD Framework
* @subpackage	Frontend
* @contact 		contact@codextrous.com
*/
if(defined('_JEXEC')===false) die('Restricted access' );

class JDSession
{
	public $session 		= null;
	protected $namespace 	= 'jd';
	
	public function __construct($ns)
	{
		$this->session		= JFactory::getSession();
		$this->namespace	= $ns;
	}
	
	public function set($name, $value, $namespace = null)
	{
		if(!$namespace){
			$namespace = $this->namespace;
		}
		$this->session->set($name, $value, $namespace);
	}
	
	public function get($name, $default=null, $namespace = null)
	{
		if(!$namespace){
			$namespace = $this->namespace;
		}
		
		return $this->session->get($name, $default, $namespace);
	}
	
	public function clear($name, $namespace = null)
	{
		if(!$namespace){
			$namespace = $this->namespace;
		}
		return $this->session->clear($name, $namespace);
	}

	public function getId()
	{
		return $this->session->getId();
	}
}