<?php

/**
* @copyright	Copyright (C) 2017 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @contact		contact@codextrous.com
*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class plgSystemJoomdownloadsupdate extends JPlugin
{
    protected $baseUrl = 'http://www.codextrous.com/index.php?product=joomdownloads';

    public function onInstallerBeforePackageDownload(&$url, &$headers)
    {
        // are we trying to update our extension?
        if (strpos($url, $this->baseUrl) !== 0)
        {
            return true;
        }

        // fetch download id from extension parameters, or
        // wherever you want to store them
        // Get the component information from the #__extensions table
        JLoader::import('joomla.application.component.helper');
        $component = JComponentHelper::getComponent('com_joomdownloads');

        // assuming the download id provided by user is stored in component params
        // under the "update_credentials_download_id" key
        $downloadId = $component->params->get('downloadid', '');

        // bind credentials to request by appending it to the download url
        if (!empty($downloadId))
        {
            $separator = strpos($url, '?') !== false ? '&' : '?';
            $url .= $separator . 'downloadId=' . $downloadId;
        }
        return true;
    }

}