<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die; 

if(!defined('JD_FRAMEWORK_LOADED')){
	JLog::add('RB Frameowork not loaded',JLog::ERROR);
}

require_once JPATH_SITE.'/components/com_joomdownloads/joomdownloads/includes.php';

// find the controller to handle the request
$option	= 'com_joomdownloads';
$view	= 'dashboard';
$task	= null;
$format	= 'html';

$controllerClass = JOOMDownloadsHelper::findController($option,$view, $task,$format);


$controller = JOOMDownloadsFactory::getInstance($controllerClass, 'controller', 'JOOMDownloadsadmin');

// execute task
try{
	$controller->execute($task);
}catch(Exception $e){
	JOOMDownloadsHelper::handleException($e);
}

// lets complete the task by taking post-action
$controller->redirect();
