<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

defined('_JEXEC') or die;

$menus   = array();
$menus['dashboard'] = array('title' => JText::_('COM_JOOMDOWNLOADS_SUBMENU_DASHBOARD'), 'url' => 'index.php?option=com_joomdownloads&view=dashboard' );
$menus['category'] 	= array('title' => JText::_('COM_JOOMDOWNLOADS_SUBMENU_CATEGORY'), 'url' => 'index.php?option=com_joomdownloads&view=category' );
$menus['product'] 	= array('title' => JText::_('COM_JOOMDOWNLOADS_SUBMENU_PRODUCT'), 'url' => 'index.php?option=com_joomdownloads&view=product' );
$menus['release'] 	= array('title' => JText::_('COM_JOOMDOWNLOADS_SUBMENU_RELEASE'), 'url' => 'index.php?option=com_joomdownloads&view=release' );
$menus['download'] 	= array('title' => JText::_('COM_JOOMDOWNLOADS_SUBMENU_DOWNLOAD'), 'url' => 'index.php?option=com_joomdownloads&view=download' );

$current_menu = $displayData;
?>
<div class="well">
<h2 class="muted"><?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_MENU');?></h2>
<ul class="nav nav-pills nav-stacked">  		
		<?php foreach($menus as $key => $menu): ?>
			<li <?php echo ($key == $current_menu) ? 'class="active"' : '';?>>
				<a href="<?php echo $menu['url'];?>"><?php echo $menu['title'];?></a>
			</li>
		<?php endforeach;?>      		
</ul>
</div>
<?php 