<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;
JHtml::_('searchtools.main', '#adminForm', array());
$saveOrder	= $filter_order == 'ordering';

if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_joomdownloads&view=category&task=saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'categoryList', 'adminForm', strtolower($filter_order_Dir), $saveOrderingUrl);
}

?>
<div class="jd-category-wrapper clearfix">
	<div class=" jd-category row-fluid">
	<div class="span3">
		<?php echo JLayoutHelper::render('adminmenu', 'category');?>
	</div>
	<div class="span9">
	<!-- CONTENT START -->		
		<form action="<?php echo $uri; ?>" method="post" name="adminForm" id="adminForm">
		
			<?php  echo $this->loadTemplate('filter'); ?>
			
			<table class="table table-striped" id="categoryList">
				<thead>
				<!-- TABLE HEADER START -->
					<tr>
					
						<th width="1%">
							<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this);" />
						</th>						
						<th width="1%" class="nowrap center hidden-phone">
							<a title="" class="hasTooltip" onclick="Joomla.tableOrdering('ordering','<?php echo ($saveOrder && strtolower($filter_order_Dir) == 'asc') ? 'desc' : 'asc';?>');return false;" href="#" data-original-title="&lt;strong&gt;<?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_ORDERING');?>&lt;/strong&gt;&lt;br /&gt;<?php echo JText::_('JGLOBAL_CLICK_TO_SORT_THIS_COLUMN');?>">
								<i class="icon-menu-2"></i>
								<?php if($saveOrder && strtolower($filter_order_Dir) == 'asc'):?>
									<i class="icon-arrow-up-3"> </i>
								<?php elseif($saveOrder && strtolower($filter_order_Dir) == 'desc'):?>
									<i class="icon-arrow-down-3"> </i>
								<?php endif; ?>
							</a>
						</th>
						<th><?php echo JDHtml::_('grid.sort', "COM_JOOMDOWNLOADS_ADMIN_TITLE", 'title', $filter_order_Dir, $filter_order);?></th>
						<th class="center"><?php echo JDHtml::_('grid.sort', "COM_JOOMDOWNLOADS_ADMIN_PUBLISHED", 'published', $filter_order_Dir, $filter_order);?></th>
					</tr>
				<!-- TABLE HEADER END -->
				</thead>
				
				<tbody>
				<!-- TABLE BODY START -->
					<?php $count= $limitstart;
					$cbCount = 0;
					foreach ($records as $record):?>
						<tr class="<?php echo "row".$count%2; ?>">	
							<th>
						    	<?php echo JDHtml::_('grid.id', $cbCount, $record->category_id ); ?>
						    </th>	
						    <td class="order nowrap center hidden-phone">
								<?php
								$iconClass = '';
								if (!$saveOrder)
								{
									$iconClass = ' inactive tip-top hasTooltip" title="' . JHtml::tooltipText('JORDERINGDISABLED');
								}
								?>
								<span class="sortable-handler<?php echo $iconClass ?>">
									<i class="icon-menu"></i>
								</span>
								<?php if ($saveOrder) : ?>
									<input type="text" style="display:none" name="order[]" size="5" value="<?php echo $record->ordering; ?>" class="width-20 text-area-order " />
								<?php endif; ?>
							</td>			
							<td>
								<?php echo JDHtml::link('index.php?option=com_joomdownloads&view=category&task=edit&category_id='.$record->category_id, $record->title);?>
							</td>
							<td class="center"><?php echo JDHtml::_("JDhtml.boolean.grid", $record, 'published', $count, 'tick.png', 'publish_x.png', '', $langPrefix='COM_JOOMDOWNLOADS');?></td>
						</tr>
					<?php $count++;?>
					<?php $cbCount++;?>
					<?php endforeach;?>
				<!-- TABLE BODY END -->
				</tbody>
				
				<tfoot>
					<tr>
						<td colspan="6" class="center">
							<?php echo $pagination->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>
			</table>
		
			<input type="hidden" name="filter_order" value="<?php echo $filter_order;?>" />
			<input type="hidden" name="filter_order_Dir" value="<?php echo $filter_order_Dir;?>" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="boxchecked" value="0" />
		</form>
	</div>
	</div>
</div>
<?php 