<?php
/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/
// no direct access
defined('_JEXEC') or die;

// JDHtml::script(JOOMDOWNLOADS_PATH_CORE_MEDIA.'/datetimepicker.js');
// JDHtml::script(JOOMDOWNLOADS_PATH_CORE_MEDIA.'/datetimepicker.templates.js');
// JDHtml::stylesheet(JOOMDOWNLOADS_PATH_CORE_MEDIA.'/datetimepicker.js');

$db = JFactory::getDbo();
$query = $db->getQuery(true);
$query->select(array('title as label', 'hits as value'))
		->from('#__joomdownloads_product')
		->order('value DESC');
$db->setQuery($query);
$records = $db->loadObjectList();

?>
<div ng-controller="MostPopularController1 as MPC1" id="MostPopularController1">
	<div class="">
		<div class="pull-right">
			<div class="pull-right">
				<button type="button" class="btn btn-primary" id="jd_form_statistics_go">
					<?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_GO');?>
				</button>
			</div>

			<div class="pull-right">
				<?php echo JDHtml::_('jdhtml.daterangepicker.edit', 'jd_form_statistics_start_time', 'jd_form_statistics_end_time', array('class' => ''));?>
				<input type="hidden" class="input-small" id="jd_form_statistics_start_time"/>
				<input type="hidden" class="input-small" id="jd_form_statistics_end_time"/>
			</div>
		</div>
	</div>
	<div class="clearfix"> </div>
	<hr />
	<div class="span12">
	  	<multi-bar-chart height="400px" data="data"></multi-bar-chart>
	</div>
</div>

<script>

function getChartData(){
	var scope = angular.element(document.getElementById('MostPopularController1')).scope();

    var from = joomdownloads.jQuery('#jd_form_statistics_start_time').val();
    from = new Date(from);
    var month = ("0" + (from.getMonth()+1)).slice(-2);
    var year = from.getFullYear();
    var date = ("0" + (from.getDate())).slice(-2);
	from = year+'-'+month+'-'+date;

   	var to = joomdownloads.jQuery('#jd_form_statistics_end_time').val();
   	to = new Date(to);
   	month = ("0" + (to.getMonth()+1)).slice(-2);
    year = to.getFullYear();
    date = ("0" + (to.getDate())).slice(-2);

	to = year+'-'+month+'-'+date;
    scope.getChartData(from, to);
	scope.$apply();
}

joomdownloads.jQuery(document).ready(function(){
	getChartData();
	joomdownloads.jQuery(document).on('click','#jd_form_statistics_go',function(){
	    getChartData();
	});
});

JDDashboardApp.controller('MostPopularController1', ['$scope', '$http', function($scope, $http) {
	$scope.from = '';
	$scope.to = '';
	$scope.data = [ 
    	{
      		key: "Cumulative Return",
      		values: []
      	}
    ];

	$scope.getChartData = function(from, to) {		
		$http.get('<?php echo JURI::root();?>administrator/index.php?option=com_joomdownloads&view=dashboard&task=getDownloadData&from='+from+'&to='+to)
	    .success(function(data) {
	        $scope.data = data;
	    });
	};
}]);
</script>