<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined( '_JEXEC' ) OR die( 'Restricted access' );
?>

<script type="text/javascript">
	(function($)
		{
			$(document).ready(function()
			{
				joomdownloads.formvalidator.initialize('#jd-field-form');
			});
			
			$(document).on('change','#joomdownloads_field_form_field_type',function()
			{
				var fieldId = $('#joomdownloads_field_form_field_id').val();
				joomdownloads.admin.field.getTypeConfig($(this).val(), fieldId);
			});

			//load required script for radio buttons
			joomdownloads.radio.init();
			joomdownloads.jQuery('.hasTooltip').tooltip();
	})(joomdownloads.jQuery);
	
</script>

<div id="rbWindowTitle">
	<div class="modal-header">
		<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
		<h3 id="myModalLabel"><?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_FIELD'); ?></h3>
	</div>
</div>

<div id="rbWindowBody">
	<div class="modal-body">
		<div class="row-fluid">
			<div class="span12">
				<span class="alert alert-error hide" id="jd-field-error"> </span>
			</div>
		</div>
		<div class="row-fluid">
			<form action="index.php" onSubmit="return fasle;" method="post" id="jd-field-form">
				<div class=" span6">
					<div class="control-group">
						<div class="control-label"><?php echo $form->getLabel('title'); ?> </div>
						<div class="controls"><?php echo $form->getInput('title'); ?></div>
					</div>

					<div class="control-group">
						<div class="control-label">
							<?php echo $form->getLabel('code'); ?>
						</div>
						<div class="controls">
							<?php echo $form->getInput('code'); ?>
							<?php $field = $form->getField('code') ?>
						</div>
					</div>

					<div class="control-group">
						<div class="control-label">
							<?php echo $form->getLabel('css_class'); ?>
						</div>
						<div class="controls">
							<?php echo $form->getInput('css_class'); ?>
							<?php $field = $form->getField('css_class') ?>
						</div>
					</div>		
					
					<div class="control-group">
						<div class="control-label">
							<?php echo $form->getLabel('published'); ?>
						</div>
						<div class="controls">
							<?php echo $form->getInput('published'); ?>	
						</div>
					</div>
					
					<div class="control-group">
						<div class="control-label">
							<?php echo $form->getLabel('filterable'); ?>
						</div>
						<div class="controls">
							<?php echo $form->getInput('filterable'); ?>
						</div>
					</div>
					
					<div class="control-group">
						<div class="control-label">
							<?php echo $form->getLabel('searchable'); ?>
						</div>
						<div class="controls">
							<?php echo $form->getInput('searchable'); ?>
						</div>
					</div>		
				</div>
				
				<div class="span6">
						<div class="control-group">
							<div class="control-label">
								<?php echo $form->getLabel('type'); ?>
							</div>
							<div class="controls">
								<?php if ($fieldId) : ?>
									<?php echo ucfirst($form->getValue('type')); ?>
									<input type="hidden" name="joomdownloads_field_form[type]" value="<?php echo $form->getValue('type');?>">
								<?php else : ?>	
									<?php echo $form->getInput('type'); ?>
								<?php endif; ?>
							</div>
						</div>
						<div id="joomdownloads-field-config">
							<?php echo $fieldHtml;?>
						</div>
				</div>	
				
				<!--========	Hiddens variables	========-->	
				<input type="hidden" name="task" value="apply" />
				<?php echo $form->getInput('field_id');?>	
			</form>
		</div>
	</div>
</div>

<div class="modal-footer text-center">
	<button class="btn" data-ng-click="cancel();" onclick="return false;" data-dismiss="modal"><?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_CANCEL')?></button>
	<button class="btn btn-primary" onclick="joomdownloads.admin.field.save(); return false;"><?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_SAVE')?></button>												
</div>