<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;
JHtml::_('behavior.tooltip');
JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidation');
?>
<form action="<?php echo $uri; ?>" method="post" name="adminForm" id="adminForm" class="form-validate" enctype="multipart/form-data">
    <div class="row-fluid">
		<div class="span6">
            <h1><?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_RELEASE_DETAILS');?></h1>
            <hr/>
			<fieldset class="form-horizontal">
				<?php foreach(array('product_id', 'version', 'published', 'released_date') as $fieldname):?>
					<?php $field = $form->getField($fieldname); ?>		
					<div class="control-group">
						<div class="control-label"><?php echo $field->label; ?></div>
						<div class="controls"><?php echo $field->input;?></div>
					</div>
				<?php endforeach;?>

				<?php $field = $form->getField('uploadfile'); ?>
				<div class="control-group">
					<div class="control-label"><?php echo $field->label; ?></div>
					<div class="controls">
						<?php echo $field->input;?>
						<p> </p>
						<div><?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_OR_SELECT_FILE');?></div>
						<p> </p>
						<div>
							<?php $field = $form->getField('filename'); ?>
							<?php echo $field->input;?>
					</div>
				</div>
			</fieldset>
		</div>
        <div class="span6">
            <?php if(isset($accessConfiguration) && !empty($accessConfiguration)) : ?>
                <h1><?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_RELEASE_DOWNLOAD_ACCESS');?></h1>
                <hr/>
                <!--<select name="joomdownloads_form[accesstype]">
					<option value=""><?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_SELECT');?></option>
					<?php foreach($accessConfiguration as $object): ?>
						<option value="<?php echo $object->name;?>">
							<?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_RELEASE_ACCESS_PLUGIN_'.strtoupper($object->name));?>
						</option>
					<?php endforeach;?>
				</select>-->
                <?php foreach($accessConfiguration as $object): ?>
                    <div id="cd-release-access<?php echo $object->name;?>">
                        <?php echo $object->config;?>
                    </div>
                <?php endforeach;?>
            <?php endif; ?>
        </div>
	</div>

    <div class="row-fluid">
        <div class="span12">
            <?php $field = $form->getField('description', 'params');?>
            <div class="control-group">
                <div class="control-label"><?php echo $field->label; ?></div>
                <div class="controls"><?php echo $field->input;?></div>
            </div>
        </div>
    </div>

	<!--  HIDDEN -->
	<?php echo $form->getField('release_id')->input;?>
	<input type="hidden" name="task" value="save" />
</form>
