<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

/** 
 * Category Html View
* @author Gaurav Jain
 */
require_once dirname(__FILE__).'/view.php';
class JOOMDownloadsAdminViewCategory extends JOOMDownloadsAdminBaseViewCategory
{	
	public function edit($tpl=null) 
	{	
		$itemId	=  $this->getModel()->getId();
		$item	=  JOOMDownloadsCategory::getInstance($itemId);
		$form 	= $item->getModelform()->getForm($item);
		
		$positionData = array('productleftpanel' => array(),
								'productoverview' => array(),
								'productspecification' => array());

		$enableFields = JDHelperJoomla::getPluginStatus('fields', 'joomdownloads');

		if($itemId){
			if($enableFields) {
				$positionData = $this->getModel()->getFieldPositionRecords($itemId);
			}
		}

		$this->assign('fields', JOOMDownloadsFactory::getInstance('field', 'model')->loadRecords(array(),  array('limit')));
		$this->assign('form', $form );
		$this->assign('enableFields', $enableFields);
		$this->assign('positionData', $positionData );
		return parent::edit($tpl);
	}
}
