<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

/** 
 * Download Html View
* @author Gaurav Jain
 */
require_once dirname(__FILE__).'/view.php';
class JOOMDownloadsAdminViewDownload extends JOOMDownloadsAdminBaseViewDownload
{
	public function _displayGrid($records)
	{
		$products = JOOMDownloadsFactory::getInstance('product', 'model')->loadRecords(array(),array('limit', 'where'));
		$this->assign('products', $products);

		$releases = JOOMDownloadsFactory::getInstance('release', 'model')->loadRecords(array(),array('limit', 'where'));
		$this->assign('releases', $releases);

		$query = new JDQuery();
		$users = $query->select('id, name, username')
						->from('#__users')
						->dbLoadquery()
						->loadObjectList('id');
		$this->assign('users', $users);

		return parent::_displayGrid($records);
	}

	protected function _adminGridToolbar()
	{
        JToolbarHelper::preferences('com_joomdownloads');
	}

}
