<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

/** 
 * Release Html View
* @author Gaurav Jain
 */
require_once dirname(__FILE__).'/view.php';
class JOOMDownloadsAdminViewRelease extends JOOMDownloadsAdminBaseViewRelease
{	
	public function _displayGrid($records)
	{
		$products = JOOMDownloadsFactory::getInstance('product', 'model')->loadRecords(array(),array('limit'));
		$this->assign('products', $products);
		return parent::_displayGrid($records);
	}

	public function edit($tpl=null) 
	{	
		$itemId	=  $this->getModel()->getId();
		$item	=  JOOMDownloadsRelease::getInstance($itemId);
		$form 	= $item->getModelform()->getForm($item);

        $accessData 	= array();
        if($itemId) {
            $accessData = $this->getModel()->getAccessRecords($itemId);
        }

        $this->assign('accessData', $accessData);

        $this->assign('file', $item->getDownloadFileUrl());

		$this->assign('form', $form );

        $args = array($accessData);
        $this->assign('accessConfiguration', JDHelperJoomla::triggerPlugin('onJOOMdownloadsReleaseAccessConfiguration', $args, 'joomdownloads'));

        return parent::edit($tpl);
	}	
}
