<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

class JOOMDownloadsHelperCategory extends JObject
{
	public function getCategory($id = 0)
	{
		static $category = null;
		
		if ($category == null || $id !== 0 && !isset($category[$id])) {
			$category = JOOMDownloadsFactory::getInstance('category', 'model')->loadRecords();
		}
		
		if ($id === 0){
			return $category;
		}
		
		if (isset($category[$id])){
			return $category[$id];
		}
		
		return false;
	}
}