<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
JFormHelper::loadFieldClass('list');

class JOOMDownloadsFormFieldFieldTypes extends JFormFieldList
{	
	/**
	 * (non-PHPdoc)
	 * @see libraries/joomla/form/fields/JFormFieldList::getOptions()
	 */
	public function getOptions()
	{
		$options = parent::getOptions();
		return array_merge($options, JDHtml::buildOptions(self::getFieldList()));
	}
	
	private function getFieldList()
	{
		$list	=	JOOMDownloadsHelperField::getList();
		$fieldList = Array();
		// load all attributes configuration
		foreach ($list as $field ) {
			$fieldList[$field] = JString::ucwords($field);
		}
		
		return $fieldList;
	}
	
}