<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
if(defined('_JEXEC')===false) die('Restricted access' );

class JOOMDownloadsHtmlProduct extends JDHtml
{
	static function filter($name, $view, Array $filters = array(), $prefix='filter_joomdownloads', $langPrefix='COM_JOOMDOWNLOADS')
	{
		$elementName  = $prefix.'_'.$view.'_'.$name;
		$elementValue = @array_shift($filters[$name]);

    	$options[] = JHTML::_('select.option', '', JText::_( $langPrefix.'_FILTERS_SELECT'));		
		
		$data = JOOMDownloadsFactory::getInstance('product', 'model')->loadRecords(array(), array('limit', 'where'));
		foreach($data as $d){
    		$options[] = JHTML::_('select.option', $d->product_id, $d->title);
		}
    		
    	return JHTML::_('select.genericlist', $options, $elementName.'[]', 'onchange="document.adminForm.submit();"', 'value', 'text', $elementValue);
	}
}