<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Front-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

/** 
 * Download Lib
 * @author Gaurav Jain
 */
class JOOMDownloadsDownload extends JOOMDownloadsLib
{
	protected $download_id	= 0;
	protected $release_id	= '';
	protected $product_id	= '';
	protected $user_id		= 0;
	protected $created_date	= null;

	public function reset()
	{
		$this->download_id	= 0;
		$this->release_id	= '';
		$this->product_id	= '';
		$this->user_id		= JFactory::getUser()->id;
		$this->created_date	= JDdate::getInstance('now');
		
		return $this;
	}
	
	public static function getInstance($id = 0, $data = null, $dummy1 = null, $dummy2 = null)
	{
		return parent::getInstance('Download', $id, $data);
	}
}
