<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Front-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

?>
<div class="row-fluid jd-product-wrapper">
	<div class="text-center">
		<h1><?php echo $product['title'];?><sub class="muted"> <small><small>[<i class="fa fa-eye"> </i> <?php echo $product['hits'].' '.JText::_('COM_JOOMDOWNLOADS_TIMES');?> ]</small></small></sub></h1>
		<span class="center-line"> </span>
	</div>

	<div class="">
		<div class="row-fluid">
			<div class="span3">
				<div class="well jd-product-leftbar">
					<div class="thumbnail">
						<img class="img-responsive" src="<?php echo $product['image'];?>">
					</div>
					
					<?php if($product['allowed']) :?>											
						<?php if(count($downloads) > 1 ) :?>
							<div class="jd-product-li">
								<div class="btn-group btn-block" role="group">
									<button type="button" class="btn btn-success btn-block dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
			  							<i class="fa fa-download"> </i> <?php echo JText::_('COM_JOOMDOWNLOADS_DOWNLOAD');?>
			  						<span class="caret"></span>
									</button>
								    <ul class="dropdown-menu">
								    	<?php foreach ($downloads as $download) : ?>						    		
									    	<li>
									      		<a href="<?php echo $download['link'];?>"><?php echo $download['version']?></a>
									      	</li>
								      	<?php endforeach;?>			      	
								    </ul>
								</div>
							<div>
								<a href="<?php echo $releases_link;?>" class="">
			  							<i class="fa fa-info-circle"> </i> <?php echo JText::_('COM_JOOMDOWNLOADS_DOWNLOAD_MORE_INFO');?>
									</a>
								</div>
							</div>
						<?php else:?>
							<?php foreach ($downloads as $download) : ?>
								<div class="jd-product-li">
									<a href="<?php echo $download['link'];?>" class="btn btn-success btn-block">
			  							<i class="fa fa-download"> </i> <?php echo JText::_('COM_JOOMDOWNLOADS_DOWNLOAD');?> [<?php echo $download['version']?>]
									</a>
									
									<div>
										<a href="<?php echo $releases_link;?>" class="">
				  							<i class="fa fa-info-circle"> </i> <?php echo JText::_('COM_JOOMDOWNLOADS_DOWNLOAD_MORE_INFO');?>
										</a>
									</div>
								
								</div>
							<?php endforeach; ?>
						<?php endif;?>						
					<?php else:?>
						<?php if(isset($plugin_result['jd-product-access'])) :?>
							<div class="jd-product-li">
								<?php echo $plugin_result['jd-product-access'];?>
							</div>
						<?php endif;?>
					<?php endif;?>

					<?php echo $this->loadTemplate('productleftpanel');?>

				</div>
			</div>
			<div class="span9">
				<?php echo $this->loadTemplate('productoverview');?>

				<div class="row-fluid">
	 				<div class="span12">
	  					<?php $description = $product['description'];?>
	  					<?php if(!empty($description)):?>
						 	<!-- accordion1 Detail description of product -->
						 	<div class="accordion" id="accordion-id">
						 		<div class="accordion-group">
							 		<div class="accordion-heading">
							 			<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion-id" data-target=".accordion-body-id">		 				
							 				<h2><span class="pull-right"><i class="fa fa-minus-square"></i></span><?php echo JText::_("COM_JOOMDOWNLOADS_PRODUCT_DESCRIPTION");?></h2>
							 			</a>
							 		</div>
							 		<div class="accordion-body collapse in accordion-body-id">
			 		 					<div class="accordion-inner">
			 		 						<?php echo $description;?>
			 		 					</div>
			 		 				</div>
							 	</div>
		 		 			</div>
		 				<?php endif;?>
		 			</div>
		 		</div>	 	
				
				<?php echo $this->loadTemplate('productspecification');?>
			</div>
		</div>
	</div>
</div>