<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Front-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

?>
 	
<?php if($enableFields && isset($positionData['productspecification']) && !empty($positionData['productspecification'])) : ?>
		<!-- Specification -->
 	<div class="accordion" id="accordion-id2">
 		<div class="accordion-group">
	 		<div class="accordion-heading">
	 			<a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion-id2" data-target=".accordion-body-id2">
	 				<h2><span class="pull-right"><i class="fa fa-minus-square"></i></span><?php echo JText::_("COM_JOOMDOWNLOADS_PRODUCT_SPECIFICATION");?></h2>
	 			</a>
	 		</div>
		
	 		<div class="accordion-body collapse in accordion-body-id2">
	 			<div class="accordion-inner">
        		<table class="jd-product-specification table table-responsive">
          			<?php foreach ($positionData['productspecification'] as $fieldId):?>          				
						<?php $field 	 = JOOMDownloadsField::getInstance($fieldId);?>
						<?php $fieldData = $field->toArray();?>
			
						<?php $displayHtml = trim($field->getDisplayHtml($product['product_id'], isset($fieldValues[$fieldId])?$fieldValues[$fieldId]:'')); ?>

        	    		<?php if($field->getType() == 'header') : ?>
                			</table>
               				<table class="jd-product-specification table table-responsive">
                     	   	<tr>
              					<th colspan="2" class="jd-product-field-header">
              					<?php echo $displayHtml;?>
              					</th>
              				</tr>
                		<?php elseif (!empty($displayHtml)) : ?>
                            <tr>
                            	<td width="25%">
                                	<?php echo $fieldData['title'];?>
                            	</td>
                                <td width="75%">
                                     <?php echo $displayHtml;?>
                                </td>
                            </tr>
						<?php endif;?>
              		<?php endforeach;?>
        		</table>
	 			</div>
	 		</div>
	 	</div>
	</div>
<?php endif;
		