<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

/** 
 * Product Controller
 * @author Gaurav Jain
 */
class JOOMDownloadsAdminControllerProduct extends JOOMDownloadsController
{
	public function _save(array $data, $itemId=null)
	{
		$product  = parent::_save($data, $itemId);

		if($product){
			$productdata = $product->toArray();
			$id 	 = $productdata['product_id'];

			$model = $this->getModel();
			$model->deleteFieldValues($id);
			if(isset($data['fields']) && !empty($data['fields'])){
				$model->insertFieldValues($id, $data['fields']);
			}
		}

		return $product;
	}
}