<?php
/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package		JD Framework
* @subpackage	Frontend
* @contact 		contact@codextrous.com
*/
if(defined('_JEXEC')===false) die('Restricted access' );

class JDHtmlRange
{	
	static function filter($name, $view, Array $filters = array(), $type="date", $prefix='')
	{
		$elementName   = $prefix.'_'.$view.'_'.$name;
		$elementValue0 = @array_shift($filters[$name]);
		$elementValue1 = @array_shift($filters[$name]);
		
		$from  = '<label class="span3">'.JText::_('PLG_SYSTEM_JD_FILTERS_FROM').'</label>';
		$to    = '<label class="span3">'.JText::_('PLG_SYSTEM_JD_FILTERS_TO').'</label>';
			
			
		if(strtolower($type)=="date"){
			$from .= '<div class="jd-datepicker jd-from  span9 jd-omega">'. JHtml::_('calendar', $elementValue0, $elementName.'[0]', $elementName.'_0', '%Y-%m-%d').'</div>';
			$to   .= '<div class="jd-datepicker jd-to span9 jd-omega">'.JHtml::_('calendar', $elementValue1, $elementName.'[1]', $elementName.'_1', '%Y-%m-%d').'</div>';
		}
		elseif(strtolower($type)=="text"){
			
			$from .= '<div class="jd-rangepicker jd-from span9 jd-omega">'
						.'<input id="'.$elementName.'_0" ' 
						.'name="'.$elementName.'[0]" ' 
						.'value="'.$elementValue0.'" '
						.'size="20" class="filterRangeInput " />'
						.'</div>';
			$to   .= '<div class="jd-rangepicker jd-to span9 jd-omega">'
						.'<input id="'.$elementName.'_1" ' 
						.'name="'.$elementName.'[1]" ' 
						.'value="'.$elementValue1.'" '
						.'size="20" class="filterRangeInput " />'
						.'</div>';
		}	  
		
		return '<div>'.$from.'</div><div>'.$to.'</div>';
	}	
}
