<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;
JHtml::_('searchtools.main', '#adminForm', array());
$saveOrder	= $filter_order == 'ordering';

if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_joomdownloads&view=product&task=saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'productList', 'adminForm', strtolower($filter_order_Dir), $saveOrderingUrl);
}
?>
<div class="jd-release-wrapper clearfix">
	<div class=" jd-release row-fluid">
	<div class="span3">
		<?php echo JLayoutHelper::render('adminmenu', 'download');?>
	</div>
	<div class="span9">
	<!-- CONTENT START -->		
		<form action="<?php echo $uri; ?>" method="post" name="adminForm" id="adminForm">
		
			<?php  echo $this->loadTemplate('filter'); ?>
			
			<table class="table table-striped" id="downloadList">
				<thead>
				<!-- TABLE HEADER START -->
					<tr>
						<th><?php echo JDHtml::_('grid.sort', "COM_JOOMDOWNLOADS_ADMIN_DATE", 'created_date', $filter_order_Dir, $filter_order);?></th>
						<th><?php echo JDHtml::_('grid.sort', "COM_JOOMDOWNLOADS_ADMIN_PRODUCT", 'product_id', $filter_order_Dir, $filter_order);?></th>
						<th><?php echo JDHtml::_('grid.sort', "COM_JOOMDOWNLOADS_ADMIN_RELEASE", 'release_id', $filter_order_Dir, $filter_order);?></th>
						<th><?php echo JDHtml::_('grid.sort', "COM_JOOMDOWNLOADS_ADMIN_USER", 'user_id', $filter_order_Dir, $filter_order);?></th>
					</tr>
				<!-- TABLE HEADER END -->
				</thead>
				
				<tbody>
				<!-- TABLE BODY START -->
					<?php $count= $limitstart;
					$cbCount = 0;
					foreach ($records as $record):?>
						<tr class="<?php echo "row".$count%2; ?>">
							<td><?php echo $record->created_date;?></td>
							<td><?php echo JDHtml::link('index.php?option=com_joomdownloads&view=product&task=edit&product_id='.$record->product_id, $products[$record->product_id]->title);?></td>
							<td><?php echo JDHtml::link('index.php?option=com_joomdownloads&view=release&task=edit&release_id='.$record->release_id, $releases[$record->release_id]->version);?></td>
							<td>
								<?php 
								if($record->user_id){
									echo $users[$record->user_id]->name.' ( '.$users[$record->user_id]->username.' )';
								}
								else{
									echo JText::_('COM_JOOMDOWNLOADS_ADMIN_USER');
								}
								?>
							</td>
						</tr>
					<?php $count++;?>
					<?php $cbCount++;?>
					<?php endforeach;?>
				<!-- TABLE BODY END -->
				</tbody>
				
				<tfoot>
					<tr>
						<td colspan="6" class="center">
							<?php echo $pagination->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>
			</table>
		
			<input type="hidden" name="filter_order" value="<?php echo $filter_order;?>" />
			<input type="hidden" name="filter_order_Dir" value="<?php echo $filter_order_Dir;?>" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="boxchecked" value="0" />
		</form>
	</div>
	</div>
</div>
<?php 