<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;
echo JDHtml::_('bootstrap.addTab', 'myTab', 'fields', JText::_('COM_JOOMDOWNLOADS_ADMIN_PRODUCT_FIELDS', true));
?>

<?php if($itemId) :?>
	<div class="row-fluid">		
		<?php foreach ($positions as $position): ?>
			<div class="span4">
				<h3><?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_FIELD_'.strtoupper($position));?></h3>
				<hr/>

				<fieldset class="form">
					<?php if(isset($positionData[$position])) : ?>
						<?php foreach ($positionData[$position] as $fieldId): ?>
							<?php $field 	 = JOOMDownloadsField::getInstance($fieldId);?>
							<?php $fieldData = $field->toArray();?>
							
							<div class="control-group">
								<div class="control-label"><?php echo $fieldData['title'];?></div>
								<div class="controls"><?php echo $field->getEditHtml($itemId, isset($fieldValues[$fieldId])?$fieldValues[$fieldId]:'');?></div>
							</div>
						<?php endforeach ?>
					<?php endif;?>
				</fieldset>
			</div>
		<?php endforeach ?>
	</div>
	<script>
		(function($) {
			$(document).ready(function() {
				$('input[type="text"][name^="joomdownloads_form\[fields\]"]').attr('autocomplete','off');
				$('input[type="text"][name^="joomdownloads_form\[fields\]"]').on('keyup', function(){
					$('[data-field-id="'+$(this).data('field-id')+'"]').not($(this)).val($(this).val());
				});
				$('select[name^="joomdownloads_form\[fields\]"]').on('change', function(){
					$('[data-field-id="'+$(this).data('field-id')+'"]').not($(this)).val($(this).val());
					$('[data-field-id="'+$(this).data('field-id')+'"]').not($(this)).trigger("chosen:updated");
				});
			});
		})(joomdownloads.jQuery);
	</script>
<?php else : ?>
	<div class="center">
		<br/>
		<br/>
		<br/>
		<h3><?php echo JText::_('COM_JOOMDOWNLOADS_ADMIN_PRODUCT_SAVE_FIRST_TO_SEE_FIELDS');?></h3>
		<br/>
		<br/>
		<br/>
	</div>
<?php endif; ?>
<?php echo JDHtml::_('bootstrap.endTabSet');?>


