<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die( 'Restricted access' );

/** 
 * Attribute Json View
 */

class JOOMDownloadsAdminViewField extends JOOMDownloadsView
{
	public function save()
	{
		$id = $this->get('field_id');
		if($this->get('success', false)){			
			$response = array('success' => true);
			$response['message'] = JText::_('COM_JOOMDOWNLOADS_ADMIN_SUCCESS_ITEM_SAVE');
			$response['field'] = (object) JOOMDownloadsField::getInstance($id)->toArray();
		}
		else{
			$response = array('success' => false);				
			$response['message'] = JText::_('COM_JOOMDOWNLOADS_ADMIN_ERROR_ITEM_SAVE');
		}
	
		$this->assign('json', $response);
		return true;
	}

	public function deleteField()
	{		
		if($this->get('success', false)){			
			$response = array('success' => true);
			$response['message'] = JText::_('COM_JOOMDOWNLOADS_ADMIN_FIELD_DELETE_SUCCESS');
		}
		else{
			$response = array('success' => false);				
			$response['message'] = JText::_('COM_JOOMDOWNLOADS_ADMIN_FIELD_DELETE_ERROR');
		}
		$this->assign('json', $response);
		
		return true;	
	}
}
