/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package		JOOMDOWNLOADS
* @subpackage	Javascript
* @contact 		dev@codextrous.com
*/

if (typeof(joomdownloads)=='undefined'){
	var joomdownloads 	= {};
	joomdownloads.$ 		= joomdownloads.jQuery = jd.jQuery;
	joomdownloads.ajax	= jd.ajax;
	joomdownloads.ui		= jd.ui;
	joomdownloads.ng		= {};
	joomdownloads.formvalidator = new JDFormValidator();
}

if (typeof(joomdownloads.element)=='undefined'){
	joomdownloads.element = {}
}

(function($){
// START : 	
// Scoping code for easy and non-conflicting access to $.
// Should be first line, write code below this line.

/*--------------------------------------------------------------
  URL related to works
   	url.modal 		: open a url in modal window
   	url.redirect 	: redirect current window to new url
   	url.fetch		: fetch the url and replace to given node 
--------------------------------------------------------------*/
joomdownloads.url = {
  	modal: function( theurl, options){
		if( typeof options=== "undefined" ){
			var ajaxCall = {'url':theurl, 'data': {}, 'iframe': false};
		}	
		else{
		    var ajaxCall = {'url':theurl, 'data':options.data, 'iframe' : false};
		}

		var width = options.width !== undefined ? options.width : '650px';
		var height = options.height !== undefined ? options.height : '300px';
		var left = options.left !== undefined ? options.left : '50%';
		joomdownloads.ui.dialog.create(ajaxCall, '', width, height, left);
	},
		
	redirect:function(url){
		        document.location.href=url;
	}
};

// ENDING :
// Scoping code for easy and non-conflicting access to $.
// Should be last line, write code above this line.
})(joomdownloads.jQuery);
