<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Front-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

/** 
 * Release Controller
 * @author Gaurav Jain
 */
class JOOMDownloadsSiteControllerCategory extends JOOMDownloadsController
{
	public function display($cachable = false, $urlparams = array())
	{
		$id = $this->_getId();
		
		if(empty($id)){
			throw new Exception("Category not found.", 404);
		}

		$category = $this->getModel()->loadRecords(array('category_id' => $id));
		if(empty($category)){
			throw new Exception("Category not found.", 404);
		}

		$category = array_shift($category);
		if($category->published == false){
			throw new Exception("Category is not published.", 404);	
		}

		return true;
	}
}