<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

// If file is already included
if(defined('JOOMDOWNLOADS_SITE_DEFINED')){
	return;
}

define('JOOMDOWNLOAD_VERSION', '1.1.0');
define('JOOMDOWNLOADS_PAID', false);

//mark core loaded
define('JOOMDOWNLOADS_SITE_DEFINED', true);
define('JOOMDOWNLOADS_COMPONENT_NAME','joomdownloads');

//shared paths
define('JOOMDOWNLOADS_PATH_CORE',				JPATH_SITE.'/components/com_joomdownloads/joomdownloads');
define('JOOMDOWNLOADS_PATH_CORE_MEDIA',			'com_joomdownloads');
define('JOOMDOWNLOADS_PATH_CORE_FORM',			JOOMDOWNLOADS_PATH_CORE.'/form');

// front-end
define('JOOMDOWNLOADS_PATH_SITE', 				JPATH_SITE.'/components/com_joomdownloads');
define('JOOMDOWNLOADS_PATH_SITE_CONTROLLER',	JOOMDOWNLOADS_PATH_SITE.'/controllers');
define('JOOMDOWNLOADS_PATH_SITE_VIEW',			JOOMDOWNLOADS_PATH_SITE.'/views');
define('JOOMDOWNLOADS_PATH_SITE_TEMPLATE',		JOOMDOWNLOADS_PATH_SITE.'/templates');

// back-end
define('JOOMDOWNLOADS_PATH_ADMIN', 				JPATH_ADMINISTRATOR.'/components/com_joomdownloads');
define('JOOMDOWNLOADS_PATH_ADMIN_CONTROLLER',	JOOMDOWNLOADS_PATH_ADMIN.'/controllers');
define('JOOMDOWNLOADS_PATH_ADMIN_VIEW',			JOOMDOWNLOADS_PATH_ADMIN.'/views');
define('JOOMDOWNLOADS_PATH_ADMIN_TEMPLATE',		JOOMDOWNLOADS_PATH_ADMIN.'/templates');

// Html => form + fields
define('JOOMDOWNLOADS_PATH_CORE_FORMS', 		JOOMDOWNLOADS_PATH_CORE.'/html/forms');
define('JOOMDOWNLOADS_PATH_CORE_FIELDS', 		JOOMDOWNLOADS_PATH_CORE.'/html/fields');

define('JOOMDOWNLOADS_PATH_RELEASE', JPATH_SITE.'/media/com_joomdownloads/releases');
// object to identify extension, create once, so same can be consumed by constructors
JDExtension::getInstance(JOOMDOWNLOADS_COMPONENT_NAME, array('prefix_css'=>'joomdownloads'));