<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

class JOOMDownloadsHelperProduct extends JObject
{
	public function getRelease($product_id)
	{
		if (empty($product_id)){
			return true;
		}
		
		$records = JOOMDownloadsFactory::getInstance('product', 'model')
										->getRelease($product_id);

		$releases = array();
		foreach ($records as $record){
			$releases[] = array(
							'version' => $record->version,
							'product_title' => $record->title, 
							'download_link' => JRoute::_(JOOMDownloadsHelperRoute::getProductDownloadRoute($record->product_id, $record->category_id, $record->release_id), false)); 
		}
		
		return $releases;
	}
}