<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

JFormHelper::loadFieldClass('list');
class JOOMDownloadsFormFieldCategory extends JFormFieldList
{
	public $type = 'Category';

	protected function getOptions()
	{
		// Initialize variables.
		$options = array();

		$keyname	= $this->element['keyname'] ? (string) $this->element['keyname'] : 'category_id';
		$categories = $this->getCategories();
		
		$options[] = JDHtml::_('select.option', '', JText::_('COM_JOOMDOWNLOADS_SELECT_CATEGORY'));
		foreach ($categories as $category){
			$options[] = JDHtml::_('select.option', $category->{$keyname}, $category->title);
		}
		
		// Merge any additional options in the XML definition.
		$options = array_merge(parent::getOptions(), $options);

		return $options;
	}
	
	public static function getCategories()
	{
		$query = new JDQuery();
		return $query->select('*')
					->from('#__joomdownloads_category')
					->dbLoadquery()
					->loadObjectList();
	}
}

