<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

JFormHelper::loadFieldClass('list');
class JOOMDownloadsFormFieldProducts extends JFormFieldList
{
	public $type = 'Products';

	protected function getOptions()
	{
		// Initialize variables.
		$options = array();

		$keyname	= $this->element['keyname'] ? (string) $this->element['keyname'] : 'product_id';
		$products = $this->getProducts();
		
		$options[] = JDHtml::_('select.option', '', JText::_('COM_JOOMDOWNLOADS_SELECT_PRODUCT'));
		foreach ($products as $product){
			$options[] = JDHtml::_('select.option', $product->{$keyname}, $product->title);
		}
		
		// Merge any additional options in the XML definition.
		$options = array_merge(parent::getOptions(), $options);

		return $options;
	}
	
	public static function getProducts()
	{
		$query = new JDQuery();
		return $query->select('*')
					->from('#__joomdownloads_product')
					->dbLoadquery()
					->loadObjectList();
	}
}

