<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

// if JOOMDOWNLOADS already loaded, then do not load it again
if(defined('JOOMDOWNLOADS_CORE_LOADED')){
	return;
}

define('JOOMDOWNLOADS_CORE_LOADED', true);

// include defines
include_once dirname(__FILE__).'/defines.php';

//load core
JDHelperLoader::addAutoLoadFolder(JOOMDOWNLOADS_PATH_CORE.'/base',		     '',		 'JOOMDownloads');

JDHelperLoader::addAutoLoadFolder(JOOMDOWNLOADS_PATH_CORE.'/models',		'Model',	 'JOOMDownloads');
JDHelperLoader::addAutoLoadFolder(JOOMDOWNLOADS_PATH_CORE.'/models',		'Modelform', 'JOOMDownloads');

JDHelperLoader::addAutoLoadFolder(JOOMDOWNLOADS_PATH_CORE.'/tables',		'Table',	 'JOOMDownloads');
JDHelperLoader::addAutoLoadFolder(JOOMDOWNLOADS_PATH_CORE.'/libs',			'',			 'JOOMDownloads');
JDHelperLoader::addAutoLoadFolder(JOOMDOWNLOADS_PATH_CORE.'/helpers',		'Helper',	 'JOOMDownloads');
JDHelperLoader::addAutoLoadFolder(JOOMDOWNLOADS_PATH_CORE.'/payment',		'',	 		 'JOOMDownloads');

JDHelperLoader::addAutoLoadFile(JOOMDOWNLOADS_PATH_SITE.'/helpers/route.php', 'JOOMDownloadsHelperRoute');

//html
JDHelperLoader::addAutoLoadFolder(JOOMDOWNLOADS_PATH_CORE.'/html/html',		'Html',		 'JOOMDownloads');
JDHelperLoader::addAutoLoadFolder(JOOMDOWNLOADS_PATH_CORE.'/html/fields',	'FormField', 'JOOMDownloads');

// site
JDHelperLoader::addAutoLoadFolder(JOOMDOWNLOADS_PATH_SITE.'/controllers',	'Controller',		'JOOMDownloadsSite');
JDHelperLoader::addAutoLoadViews(JOOMDOWNLOADS_PATH_SITE.'/views', JD_REQUEST_DOCUMENT_FORMAT,  'JOOMDownloadsSite');

// admin
JDHelperLoader::addAutoLoadFolder(JOOMDOWNLOADS_PATH_ADMIN.'/controllers',	'Controller',		'JOOMDownloadsAdmin');
JDHelperLoader::addAutoLoadViews(JOOMDOWNLOADS_PATH_ADMIN.'/views', JD_REQUEST_DOCUMENT_FORMAT, 'JOOMDownloadsAdmin');