<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Front-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

/** 
 * Product Lib
 * @author Gaurav Jain
 */
class JOOMDownloadsProduct extends JOOMDownloadsLib
{
	protected $product_id 	= 0;
	protected $title 		= '';
	protected $alias		= '';
	protected $published	= 1;
	protected $category_id	= '';
	protected $image		= '';
	protected $params		= null;
	protected $hits			= 0;	
	protected $description	= '';
	protected $created_date	= null;
	protected $modified_date= null;

	public function reset()
	{		
		$this->product_id 	= 0;
		$this->title 		= '';
		$this->alias		= '';
		$this->published	= 1;
		$this->category_id	= '';
		$this->image		= '';
		$this->params 		= new JDRegistry();
		$this->hits 		= 0;
		$this->description  = '';
		$this->created_date = JDDate::getInstance('now');
		$this->modified_date= JDDate::getInstance('now');
		return $this;
	}
	
	public static function getInstance($id = 0, $data = null, $dummy1 = null, $dummy2 = null)
	{
		return parent::getInstance('Product', $id, $data);
	}
}
