<?php

/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Back-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;

/** 
 * Field Table
 * @author Gaurav Jain
 */
class JOOMDownloadsTableField extends JOOMDownloadsTable
{
	function __construct($tblFullName='#__joomdownloads_field', $tblPrimaryKey='field_id', $db=null)
	{
		return parent::__construct($tblFullName, $tblPrimaryKey, $db);
	}
	
	public static function getRecordsOfCode($code, $id = 0)
	{
		$query 	= new JDQuery();
		$query->select('`code`')
			  ->where("`code` LIKE '".$code."%'");
					  
		if(!empty($id)){
			$query->where("`field_id` <> ".intval($id));
		}
					  
		return $query->from('`#__joomdownloads_field`')
					 ->dbLoadQuery()->loadcolumn();
	}
}

class JOOMDownloadsTableFieldOption extends JOOMDownloadsTable
{
	function __construct($tblFullName='#__joomdownloads_fieldoption', $tblPrimaryKey='fieldoption_id', $db=null)
	{
		return parent::__construct($tblFullName, $tblPrimaryKey, $db);
	}
}