<?php
/**
* @copyright	Copyright (C) 2015 Codextrous . All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* @package 		JOOMDOWNLOADS
* @subpackage	Front-end
* @contact		contact@codextrous.com
*/

// no direct access
defined('_JEXEC') or die;
?>
<div class="row-fluid jd-product-release-wrapper">
	<div class="row-fluid">
        <div class="span12">
            <h3><?php echo $product['title'];?></h3>
            <hr />
            <?php $counter = 1;?>
            <?php foreach ($releases as $release) : ?>
                <?php $params = json_decode($release->params);?>
                <div class="row-fluid">
                    <div class="span3">
                        <div class="product-release-number">
                           <?php echo $release->version;?>
                        </div>
                        <div class="text-center">Version</div>
                    </div>

                    <div class="span9">
                        <?php $releasedDate = JDDate::getInstance($release->released_date);?>
                        <?php echo JText::_('COM_JOOMDOWNLOADS_RELEASED_ON');?> : <?php echo $releasedDate->toFormat('l, j F Y g:i A');?>

                        <div class="accordion" id="accordionDescription<?php echo $counter;?>">
                            <div class="accordion-group">
                                <div class="accordion-heading">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordionDescription<?php echo $counter;?>" href="#accordionDescriptionOne<?php echo $counter;?>">
                                        <h2><span class="pull-right"><i class="fa fa-plus-square"></i></span><?php echo JText::_("COM_JOOMDOWNLOADS_RELEASE_DETAILS");?></h2>
                                    </a>
                                </div>
                                <div id="accordionDescriptionOne<?php echo $counter;?>" class="accordion-body collapse">
                                    <div class="accordion-inner">
                                        <?php echo $params->description;?>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <?php echo $release->button;?>

                    </div>
                </div>
            <?php endforeach; ?>
        </div>
	</div>
</div>